tbb::internal::aligned_storage< value_type, 1 > Struct Template Reference

`#include <atomic.h>`

Collaboration diagram for tbb::internal::aligned_storage< value_type, 1 >:

## Public Member Functions

| aligned_storage ()=default
constexpr | aligned_storage (value_type value)

## Public Attributes

value_type | my_value

## Detailed Description

### template<typename value_type>
struct tbb::internal::aligned_storage< value_type, 1 >

Definition at line 127 of file atomic.h.

## Constructor & Destructor Documentation

## aligned_storage() [1/2]

template<typename value_type >

tbb::internal::aligned_storage< value_type, 1 >::aligned_storage | ( |  | ) |

default

## aligned_storage() [2/2]

template<typename value_type >

constexpr tbb::internal::aligned_storage< value_type, 1 >::aligned_storage | ( | value_type | value | ) |

inline constexpr

Definition at line 131 of file atomic.h.

:my_value(value){}
value
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d void ITT_FORMAT p void ITT_FORMAT p __itt_model_site __itt_model_site_instance ITT_FORMAT p __itt_model_task __itt_model_task_instance ITT_FORMAT p void ITT_FORMAT p void ITT_FORMAT p void size_t ITT_FORMAT d void ITT_FORMAT p const wchar_t ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s no args void ITT_FORMAT p size_t ITT_FORMAT d no args const wchar_t const wchar_t ITT_FORMAT s __itt_heap_function void size_t int ITT_FORMAT d __itt_heap_function void ITT_FORMAT p __itt_heap_function void void size_t int ITT_FORMAT d no args no args unsigned int ITT_FORMAT u const __itt_domain __itt_id ITT_FORMAT lu const __itt_domain __itt_id __itt_id __itt_string_handle ITT_FORMAT p const __itt_domain __itt_id ITT_FORMAT p const __itt_domain __itt_id __itt_timestamp __itt_timestamp ITT_FORMAT lu const __itt_domain __itt_id __itt_id __itt_string_handle ITT_FORMAT p const __itt_domain ITT_FORMAT p const __itt_domain __itt_string_handle unsigned long long value
Definition: ittnotify_static.h:192
tbb::internal::aligned_storage< value_type, 1 >::my_value
value_type my_value
Definition: atomic.h:128

## Member Data Documentation

## my_value

template<typename value_type >

value_type tbb::internal::aligned_storage< value_type, 1 >::my_value

Definition at line 128 of file atomic.h.

The documentation for this struct was generated from the following file:

- atomic.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.